libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

dvb_desc_registration Struct Reference
Parsers for several MPEG-TS descriptors

Struct containing the frequency list descriptor. More...

`#include <desc_registration_id.h>`

## Data Fields
uint8_t | type
uint8_t | length
struct dvb_desc * | next
uint8_t | format_identifier [4]
uint8_t * | additional_identification_info

## Detailed Description

Struct containing the frequency list descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  format_identifier | 32-bit value obtained from ISO/IEC JTC 1/SC 29 which describes the format of the ES The length of the vector is given by: length - 4.

Definition at line 53 of file desc_registration_id.h.

## Field Documentation

## ◆ additional_identification_info

uint8_t* dvb_desc_registration::additional_identification_info

Definition at line 59 of file desc_registration_id.h.

## ◆ format_identifier

uint8_t dvb_desc_registration::format_identifier[4]

Definition at line 58 of file desc_registration_id.h.

## ◆ length

uint8_t dvb_desc_registration::length

Definition at line 55 of file desc_registration_id.h.

## ◆ next

struct dvb_desc* dvb_desc_registration::next

Definition at line 56 of file desc_registration_id.h.

## ◆ type

uint8_t dvb_desc_registration::type

Definition at line 54 of file desc_registration_id.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_registration_id.h